## skanpage 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015 by Kåre Särs <kare.sars@iki .fi>
# SPDX-FileCopyrightText: 2020 Alexander Stippich <a.stippich@gmx.net>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Gear version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")

set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(skanpage
        VERSION ${RELEASE_SERVICE_VERSION}
        LANGUAGES CXX)

set(REQUIRED_QT_VERSION "5.15.2")
set(REQUIRED_KF5_VERSION "5.94")

set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 17)

find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDEClangFormat)
include(KDECMakeSettings)
include(ECMAddAppIcon)
include(ECMInstallIcons)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml QuickControls2 Concurrent Widgets Quick PrintSupport)

find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED
    COMPONENTS
        CoreAddons
        I18n
        Kirigami2
        Crash
        Config
        Purpose
)

find_package(KSaneCore "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)

find_package(Tesseract 4)
find_package(Leptonica)

if (LEPTONICA_FOUND AND TESSERACT_FOUND)
   set(OCR_AVAILABLE 1)
   set(CMAKE_CXX_FLAGS "-fopenmp")
else()
   message(STATUS "Skanpage will be built without OCR as libraries are missing.")
endif()

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055A00)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX SKANPAGE
    VERSION_HEADER skanpage_version.h)

install(PROGRAMS org.kde.skanpage.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.skanpage.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

include_directories(${CMAKE_CURRENT_BINARY_DIR})

configure_file(config-skanpage.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-skanpage.h)

add_subdirectory(src)
add_subdirectory(icons)
#add_subdirectory(autotests)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 by Alexander Stippich <a.stippich@gmx.net>
#
# SPDX-License-Identifier: BSD-2-Clause
#

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMAddTests)

set(skanpageTest_SRCS)
ecm_qt_declare_logging_category(skanpageTest_SRCS
    HEADER skanpage_debug.h
    IDENTIFIER SKANPAGE_LOG
    CATEGORY_NAME org.kde.skanpage
)

ecm_add_test(documentSaverTest.cpp ../src/DocumentSaver.cpp  ../src/OCREngine.cpp  ../src/OCRLanguageModel.cpp ../src/SkanpageUtils.cpp ${skanpageTest_SRCS}
    TEST_NAME "documentsavertest"
    LINK_LIBRARIES 
        Qt::Test
        Qt::Gui
        Qt::Concurrent
        KF5::I18n
)

if (TESSERACT_FOUND AND LEPTONICA_FOUND)
    target_link_libraries(documentsavertest
        Tesseract::Tesseract
        Leptonica::Leptonica
    )
endif()

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015 by Kåre Särs <kare.sars@iki .fi>
# SPDX-FileCopyrightText: 2020 Alexander Stippich <a.stippich@gmx.net>
#
# SPDX-License-Identifier: BSD-2-Clause

include_directories(${skanpage_BINARY_DIR})

add_executable(skanpage)

target_sources(skanpage PRIVATE
    DevicesModel.cpp
    DevicesModel.h
    DocumentModel.cpp
    DocumentModel.h
    DocumentPrinter.cpp
    DocumentPrinter.h
    DocumentSaver.cpp
    DocumentSaver.h
    InProgressPainter.cpp
    InProgressPainter.h
    main.cpp
    OptionsModel.cpp
    OptionsModel.h
    FilteredOptionsModel.cpp
    FilteredOptionsModel.cpp
    Skanpage.cpp
    Skanpage.h
    SkanpageUtils.cpp
    SkanpageUtils.h
    FormatModel.cpp
    FormatModel.h
    OCREngine.cpp
    OCREngine.h
    OCRLanguageModel.cpp
    OCRLanguageModel.h
    qml.qrc
    )

ecm_qt_declare_logging_category(skanpage
    HEADER skanpage_debug.h
    IDENTIFIER SKANPAGE_LOG
    CATEGORY_NAME org.kde.skanpage
    DESCRIPTION "Skanpage"
    EXPORT SKANPAGE
)

ecm_qt_install_logging_categories(
    EXPORT SKANPAGE
    FILE skanpage.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

kconfig_add_kcfg_files(skanpage skanpage_state.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(skanpage skanpage_config.kcfgc GENERATE_MOC)

target_link_libraries(skanpage
  PRIVATE
    Qt::Core
    Qt::Widgets
    Qt::Quick
    Qt::PrintSupport
    Qt::Qml
    Qt::QuickControls2
    Qt::Concurrent
  PRIVATE
    KSane::Core
    KF5::CoreAddons
    KF5::I18n
    KF5::Kirigami2
    KF5::Crash
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::Purpose
)

if (TESSERACT_FOUND AND LEPTONICA_FOUND)
    target_link_libraries(skanpage
    PRIVATE
        Tesseract::Tesseract
        Leptonica::Leptonica
    )
endif()

install(TARGETS skanpage ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

## skanpage 22.04.3

=== debian/changelog ===
skanpage (22.04.3-0xneon+20.04+focal+release+build13) focal; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 17:15:39 +0000

skanpage (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:53:55 +0000

skanpage (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:53:55 +0000

=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.1~),
               cmark,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.77.0~),
               kirigami2-dev (>= 5.77.0~),
               kquickimageeditor-dev,
               libkf5config-dev (>= 5.77.0~),
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5i18n-dev,
               libkf5purpose-dev,
               libkf5sane-dev,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev (>= 5.15.0~)
Standards-Version: 4.1.4
Homepage: https://apps.kde.org/skanpage/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/skanpage.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/skanpage
Maintainer: Neon CI <neon@kde.org>

Package: skanpage
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: scanning application designed for multi-page scanning
 Skanpage is a simple scanning application designed for multi-page scanning and saving of documents and images.

## skanpage 22.12.1

=== debian/changelog ===
skanpage (22.12.1-2) unstable; urgency=medium

  [ Scarlett Moore ]
  * Source only upload.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 03 Feb 2023 06:17:29 -0700

skanpage (22.12.1-1) unstable; urgency=medium

  * Initial release (Closes: #998815)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 19 Jan 2023 06:17:56 -0700

=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami2-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5crash-dev,
               libkf5config-dev,
               libkf5purpose-dev,
               libksanecore-dev,
               libtesseract-dev,
               libleptonica-dev,
               libkf5doctools-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanpage
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanpage.git
Rules-Requires-Root: no

Package: skanpage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files

## skanpage 22.12.3

=== debian/changelog ===
skanpage (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:27 +0100

=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               kirigami2-dev (>= 5.94~),
               libkf5config-dev (>= 5.94~),
               libkf5coreaddons-dev (>= 5.94~),
               libkf5crash-dev (>= 5.94~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.94~),
               libkf5purpose-dev (>= 5.94~),
               libksanecore-dev,
               libleptonica-dev,
               libtesseract-dev,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanpage
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanpage.git
Rules-Requires-Root: no

Package: skanpage
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files

## skanpage 23.04.2

=== debian/changelog ===
skanpage (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:04:03 +0100

skanpage (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:47:16 +0000

=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami2-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5purpose-dev,
               libksanecore-dev (>= 23.04.2~),
               libleptonica-dev,
               libtesseract-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
Rules-Requires-Root: no

Package: skanpage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files

## skanpage 23.04.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -64,13 +64,13 @@
     Qt::Concurrent
   PRIVATE
     KSane::Core
-    KF5::CoreAddons
-    KF5::I18n
-    KF5::Kirigami2
-    KF5::Crash
-    KF5::ConfigCore
-    KF5::ConfigGui
-    KF5::Purpose
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::Kirigami2
+    KF${KF_MAJOR_VERSION}::Crash
+    KF${KF_MAJOR_VERSION}::ConfigCore
+    KF${KF_MAJOR_VERSION}::ConfigGui
+    KF${KF_MAJOR_VERSION}::Purpose
 )
 
 if (TESSERACT_FOUND AND LEPTONICA_FOUND)

=== debian/changelog ===
skanpage (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:59:16 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5purpose-dev,
-               libksanecore-dev (>= 23.04.2~),
+               libksanecore-dev (>= 23.04.3~),
                libleptonica-dev,
                libtesseract-dev,
                pkg-kde-tools,

## skanpage 23.08.0

=== debian/changelog ===
skanpage (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:03:08 +0100

skanpage (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key, copied from k3b
  * Update build depends:
    - add libkf5xmlgui-dev
    - add kquickimageeditor-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,15 @@
                debhelper-compat (= 13),
                extra-cmake-modules,
                kirigami2-dev,
+               kquickimageeditor-dev,
                libkf5config-dev,
                libkf5coreaddons-dev,
                libkf5crash-dev,
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5purpose-dev,
-               libksanecore-dev (>= 23.04.3~),
+               libkf5xmlgui-dev,
+               libksanecore-dev (>= 23.08.0~),
                libleptonica-dev,
                libtesseract-dev,
                pkg-kde-tools,

## skanpage 23.08.1

=== debian/changelog ===
skanpage (23.08.1-2) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * Add missing runtime dependency on qml-module-org-kde-
    kquickimageeditor. (Closes: #1053406)

 -- Jesse Rhodes <jesse@sney.ca>  Fri, 06 Oct 2023 10:30:59 -0400

skanpage (23.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add missing runtime dependency on qml-module-org-kde-purpose. (Closes:
    #1030337)

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Update build-deps with info from cmake. 
  * Update debian/rules to remove a build artifact. 

 -- Jesse Rhodes <jesse@sney.ca>  Mon, 02 Oct 2023 17:22:41 -0400

=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               kirigami2-dev (>= 5.94~),
               kquickimageeditor-dev,
               libkf5config-dev (>= 5.94~),
               libkf5coreaddons-dev (>= 5.94~),
               libkf5crash-dev (>= 5.94~),
               libkf5doctools-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5purpose-dev (>= 5.94~),
               libkf5xmlgui-dev (>= 5.94~),
               libksanecore-dev (>= 23.08~),
               libleptonica-dev,
               libtesseract-dev (>= 4~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanpage
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanpage.git
Rules-Requires-Root: no

Package: skanpage
Architecture: any
Depends: qml-module-org-kde-kquickimageeditor,
         qml-module-org-kde-purpose,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5 --buildsystem kf5

override_dh_auto_clean:
# Generated file not removed by upstream clean target
	rm -f src/qml.generated.qrc
	dh_auto_clean

## skanpage 23.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Gear version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -34,10 +34,46 @@
 include(KDECMakeSettings)
 include(ECMAddAppIcon)
 include(ECMInstallIcons)
+include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
+
+
+if(QT_MAJOR_VERSION STREQUAL "6")
+    set(KIRIGAMI_ICON_NAME "icon.name")
+    set(FILEDIALOG_CURRENT_FOLDER "currentFolder")
+    set(FILEDIALOG_SELECTED_NAME_FILTER "selectedNameFilter.index")
+    set(FILEDIALOG_SELECTED_FILE "selectedFile")
+    set(FILEDIALOG_MODE_SAVE "fileMode: FileDialog.SaveFile")
+    set(FILEDIALOG_MODE_LOAD_FOLDER "FolderDialog")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_SELECTEXISTING "")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_SELECTFOLDER "")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_NOTSELECTFOLDER "")
+    set(QTQUICK_DIALOGS_IMPORT "QtQuick.Dialogs")
+    set(BASICLISTITEM_ICON "icon.name")
+else()
+    set(KIRIGAMI_ICON_NAME "iconName")
+    set(FILEDIALOG_CURRENT_FOLDER "folder")
+    set(FILEDIALOG_SELECTED_NAME_FILTER "selectedNameFilter")
+    set(FILEDIALOG_MODE_SAVE "selectExisting: false")
+    set(FILEDIALOG_SELECTED_FILE "fileUrl")
+    set(FILEDIALOG_MODE_LOAD_FOLDER "FileDialog")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_SELECTEXISTING "selectExisting: true")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_SELECTFOLDER "selectFolder: true")
+    set(FILEDIALOG_MODE_LOAD_FOLDER_NOTSELECTFOLDER "selectExisting: false")
+    set(QTQUICK_DIALOGS_IMPORT "QtQuick.Dialogs 1.3")
+    set(BASICLISTITEM_ICON "icon")
+endif()
+
 
 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml QuickControls2 Concurrent Widgets Quick PrintSupport)
 
-find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED
+find_package(KF${KF_MAJOR_VERSION} ${REQUIRED_KF5_VERSION} REQUIRED
     COMPONENTS
         CoreAddons
         I18n
@@ -45,9 +81,12 @@
         Crash
         Config
         Purpose
+        XmlGui
 )
 
 find_package(KSaneCore "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)
+
+find_package(KQuickImageEditor REQUIRED)
 
 find_package(Tesseract 4)
 find_package(Leptonica)
@@ -59,8 +98,9 @@
    message(STATUS "Skanpage will be built without OCR as libraries are missing.")
 endif()
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055A00)
+ecm_set_disabled_deprecation_versions(QT 6.4
+    KF 5.101
+)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX SKANPAGE

=== debian/changelog ===
skanpage (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:41:16 +0100

skanpage (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:08:15 +0100

=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami2-dev,
               kquickimageeditor-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5purpose-dev,
               libkf5xmlgui-dev,
               libksanecore-dev (>= 23.08.2~),
               libleptonica-dev,
               libtesseract-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
Rules-Requires-Root: no

Package: skanpage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files

## skanpage 23.08.3

=== debian/changelog ===
skanpage (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:44:54 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf5i18n-dev,
                libkf5purpose-dev,
                libkf5xmlgui-dev,
-               libksanecore-dev (>= 23.08.2~),
+               libksanecore-dev (>= 23.08.3~),
                libleptonica-dev,
                libtesseract-dev,
                pkg-kde-tools,

## skanpage 23.08.4

=== debian/changelog ===
skanpage (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:27 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf5i18n-dev,
                libkf5purpose-dev,
                libkf5xmlgui-dev,
-               libksanecore-dev (>= 23.08.3~),
+               libksanecore-dev (>= 23.08.4~),
                libleptonica-dev,
                libtesseract-dev,
                pkg-kde-tools,

## skanpage 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== icons/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 by Alexander Stippich <a.stippich@gmx.net>
#
# SPDX-License-Identifier: BSD-2-Clause
#

ecm_install_icons(ICONS
    sc-apps-skanpage.svg
    48-apps-skanpage.png
DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,13 @@
 # SPDX-License-Identifier: BSD-2-Clause
 
 include_directories(${skanpage_BINARY_DIR})
+
+configure_file(qml/GlobalMenu.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/GlobalMenu.qml)
+configure_file(qml/SettingsWindow.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/SettingsWindow.qml)
+configure_file(qml/ExportWindow.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/ExportWindow.qml)
+configure_file(qml/MainWindow.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/MainWindow.qml)
+configure_file(qml/ShareWindow.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/ShareWindow.qml)
+configure_file(qml.qrc.in ${CMAKE_CURRENT_SOURCE_DIR}/qml.generated.qrc)
 
 add_executable(skanpage)
 
@@ -33,7 +40,7 @@
     OCREngine.h
     OCRLanguageModel.cpp
     OCRLanguageModel.h
-    qml.qrc
+    ${CMAKE_CURRENT_SOURCE_DIR}/qml.generated.qrc
     )
 
 ecm_qt_declare_logging_category(skanpage
@@ -71,6 +78,7 @@
     KF${KF_MAJOR_VERSION}::ConfigCore
     KF${KF_MAJOR_VERSION}::ConfigGui
     KF${KF_MAJOR_VERSION}::Purpose
+    KF${KF_MAJOR_VERSION}::XmlGui
 )
 
 if (TESSERACT_FOUND AND LEPTONICA_FOUND)

=== debian/changelog ===
skanpage (23.08.5-0ubuntu6) noble; urgency=medium

  * Fix dependency typo

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 08 Jan 2026 14:23:33 -0800

skanpage (23.08.5-0ubuntu5) noble; urgency=medium

  * Fix for missing deps (LP: #2136768)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 17 Dec 2025 11:22:12 -0800

skanpage (23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5printsupport5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:50:15 +0200

skanpage (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:13:52 +0000

skanpage (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:07:58 +0000

skanpage (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:33:04 -0700

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
                libkf5i18n-dev,
                libkf5purpose-dev,
                libkf5xmlgui-dev,
-               libksanecore-dev (>= 23.08.4~),
+               libksanecore-dev (>= 23.08.5~),
                libleptonica-dev,
                libtesseract-dev,
                pkg-kde-tools,
                qtbase5-dev,
                qtdeclarative5-dev,
-               qtquickcontrols2-5-dev,
+               qtquickcontrols2-5-dev
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/skanpage
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
@@ -31,7 +31,10 @@
 
 Package: skanpage
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         qml-module-qt-labs-platform,
+         qml-module-org-kde-purpose,
+         qml-module-org-kde-kquickimageeditor
 Description: Multi-page scanning and saving of documents and images
  Skanpage is a simple scanning application designed for multi-page
  scanning and saving of documents and images.

## skanpage 24.08.2

=== debian/changelog ===
skanpage (24.08.2-1ubuntu1) plucky; urgency=medium

  * Remove QtWebEngine build dependencies on architectures that do not support
    it.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 30 Oct 2024 14:34:58 -0500

skanpage (24.08.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps with info from cmake.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to declarative KF6 debhelper build sequence.
  * Replace manual QML runtime dependencies with dh_qmldeps.
  * Review copyright information.
  * Slightly simplify debian/rules with the use of the
    before_dh_auto_clean target.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 09:34:30 +0200

=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               kquickimageeditor-dev,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6purpose-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libksanecore-dev (>= 24.05~),
               libleptonica-dev,
               libtesseract-dev (>= 4~),
               qml6-module-org-kde-kquickimageeditor,
               qml6-module-org-kde-purpose (>= 6.0.0~),
               qml6-module-qt-labs-platform (>= 6.5.0~),
               qml6-module-qtquick-window (>= 6.5.0~),
               qml6-module-qtquick-dialogs (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-pdf-dev (>= 6.5.0~) [amd64 arm64 armhf],
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanpage
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanpage.git
Rules-Requires-Root: no

Package: skanpage
Architecture: any
Depends: qml6-module-qtqml-workerscript,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files

## skanpage 24.12.0

=== debian/changelog ===
skanpage (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Dec 2024 11:23:17 +0100

skanpage (23.08.1-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Leptonlib transition, bug #1081319

 -- Jeff Breidenbach <jab@debian.org>  Sat, 05 Oct 2024 14:13:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: skanpage
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -10,7 +9,7 @@
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
-               kquickimageeditor-dev,
+               kquickimageeditor-dev (>= 0.4.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
@@ -25,11 +24,11 @@
                qml6-module-org-kde-kquickimageeditor,
                qml6-module-org-kde-purpose (>= 6.0.0~),
                qml6-module-qt-labs-platform (>= 6.5.0~),
+               qml6-module-qtquick-dialogs (>= 6.5.0~),
                qml6-module-qtquick-window (>= 6.5.0~),
-               qml6-module-qtquick-dialogs (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-pdf-dev (>= 6.5.0~) [amd64 arm64 armhf],
+               qt6-pdf-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/skanpage
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanpage

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

before_dh_auto_clean:
	# Generated file not removed by upstream clean target
	rm -f src/qml.generated.qrc

## skanpage 24.12.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015 by Kåre Särs <kare.sars@iki .fi>
# SPDX-FileCopyrightText: 2020 Alexander Stippich <a.stippich@gmx.net>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Gear version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "1")

set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(skanpage
        VERSION ${RELEASE_SERVICE_VERSION}
        LANGUAGES CXX)

set(QT_REQUIRED_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 17)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMDeprecationSettings)

include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})


find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Qml QuickControls2 Concurrent Widgets Quick PrintSupport Pdf)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    COMPONENTS
        CoreAddons
        I18n
        Kirigami2
        Crash
        Config
        Purpose
        XmlGui
)
ecm_set_disabled_deprecation_versions(QT 6.8.0
     KF 6.7
)

find_package(KSaneCore6 "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)

find_package(KQuickImageEditor REQUIRED)

find_package(Tesseract 5)
find_package(Leptonica)

if (LEPTONICA_FOUND AND TESSERACT_FOUND)
   set(OCR_AVAILABLE 1)
   set(CMAKE_CXX_FLAGS "-fopenmp")
else()
   message(STATUS "Skanpage will be built without OCR as libraries are missing.")
endif()

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX SKANPAGE
    VERSION_HEADER skanpage_version.h)

install(PROGRAMS org.kde.skanpage.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.skanpage.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

include_directories(${CMAKE_CURRENT_BINARY_DIR})

configure_file(config-skanpage.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-skanpage.h)

add_subdirectory(src)
add_subdirectory(icons)
#add_subdirectory(autotests)

ki18n_install(po)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
skanpage (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:14:11 +0000

skanpage (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update build deps.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:26:31 +0000

skanpage (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:17:22 +0000

skanpage (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 08:15:15 +0000

skanpage (24.08.3-0ubuntu2) plucky; urgency=medium

  * Depwait on QtWebEngine architectures rather than FTBFS.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 10:18:55 +0000

skanpage (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:49:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: skanpage
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.0.0~),
-               kquickimageeditor-dev (>= 0.4.0~),
+               kquickimageeditor-dev,
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
@@ -18,7 +19,7 @@
                libkf6purpose-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                libkirigami-dev (>= 6.0.0~),
-               libksanecore-dev (>= 24.05~),
+               libksanecore-dev (>= 24.12.1~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,
@@ -29,14 +30,15 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-pdf-dev (>= 6.5.0~),
+               qt6-webengine-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/skanpage
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanpage
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanpage.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
 Rules-Requires-Root: no
 
 Package: skanpage
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: qml6-module-qtqml-workerscript,
          ${misc:Depends},
          ${qml6:Depends},

## skanpage 24.12.2

=== debian/changelog ===
skanpage (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:24:51 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6purpose-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                libkirigami-dev (>= 6.0.0~),
-               libksanecore-dev (>= 24.12.1~),
+               libksanecore-dev (>= 24.12.2~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,

## skanpage 24.12.3

=== debian/changelog ===
skanpage (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:52:07 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6purpose-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                libkirigami-dev (>= 6.0.0~),
-               libksanecore-dev (>= 24.12.2~),
+               libksanecore-dev (>= 24.12.3~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,

## skanpage 25.03.90

=== debian/changelog ===
skanpage (25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 23:49:46 +0200

=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.9.0~),
               kquickimageeditor-dev (>= 0.4.0~),
               libkf6config-dev (>= 6.9.0~),
               libkf6coreaddons-dev (>= 6.9.0~),
               libkf6crash-dev (>= 6.9.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.9.0~),
               libkf6kio-dev (>= 6.9.0~),
               libkf6purpose-dev (>= 6.9.0~),
               libkf6xmlgui-dev (>= 6.9.0~),
               libkirigami-dev (>= 6.9.0~),
               libksanecore-dev (>= 24.05~),
               libleptonica-dev,
               libtesseract-dev (>= 4~),
               qml6-module-org-kde-kquickimageeditor,
               qml6-module-org-kde-purpose (>= 6.0.0~),
               qml6-module-qt-labs-platform (>= 6.5.0~),
               qml6-module-qtquick-dialogs (>= 6.5.0~),
               qml6-module-qtquick-window (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-pdf-dev (>= 6.5.0~),
               qt6-webengine-dev,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanpage
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanpage.git
Rules-Requires-Root: no

Package: skanpage
Architecture: any
Depends: qml6-module-qtqml-workerscript,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files

## skanpage 25.04.0

=== debian/changelog ===
skanpage (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Bump required version of libksanecore-dev build dependency to >=
    25.04. (Closes: #1104657)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 09:15:42 +0200

skanpage (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop now unnecessary qt6-webengine-dev since the qt packages split
    was fixed.
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:30:07 +0200
